name: field.blocks.videovlite.name
icon: video
fields:
  location:
    label: Location
    type: radio
    columns: 2
    default: "kirby"
    options:
      kirby: Upload
      web: Web
      vimeo: Vimeo
      youtube: YouTube
      
  video:
    label: field.blocks.videovlite.name
    type: files
    query: site.find('main-library').files.filterBy('template', 'video')
    multiple: false
    image:
      back: black
    when:
      location: kirby
    uploads:
      parent: site.find('main-library')
      template: video

  vimeoID:
    label: Vimeo (ID)
    type: text
    counter: false
    help:
      en: Please enter only the video ID
      de: Bitte geben Sie nur die Video-ID ein
    when:
      location: vimeo

  youtubeID:
    label: YouTube (ID)
    type: text
    counter: false
    help:
      en: Please enter only the video ID
      de: Bitte geben Sie nur die Video-ID ein    
    when:
      location: youtube

  src:
    label: URL
    type: url
    when:
      location: web


